Glib::Value< std::string > Class Template Reference
Generic Values

Specialization for strings. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< std::string >:
[legend]

## Public Types

using | CppType = std::string
Public Types inherited from Glib::ValueBase_String
using | CType = const gchar*

## Public Member Functions

void | set (const std::string& data)
std::string | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Additional Inherited Members

Static Public Member Functions inherited from Glib::ValueBase_String
static GType | value_type ()
Protected Member Functions inherited from Glib::ValueBase_String
void | set_cstring (const char* data)
const char* | get_cstring () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<>
class Glib::Value< std::string >

Specialization for strings.

## Member Typedef Documentation

using Glib::Value< std::string >::CppType = std::string

## Member Function Documentation

std::string Glib::Value< std::string >::get | ( |  | ) | const

inline

void Glib::Value< std::string >::set | ( | const std::string & | data | ) |